aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-r128
diff options
context:
space:
mode:
Diffstat (limited to 'x11/xf86-video-r128')
-rw-r--r--x11/xf86-video-r128/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/x11/xf86-video-r128/APKBUILD b/x11/xf86-video-r128/APKBUILD
index b5bae42703..c0fc28d5aa 100644
--- a/x11/xf86-video-r128/APKBUILD
+++ b/x11/xf86-video-r128/APKBUILD
@@ -1,23 +1,27 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-r128
pkgver=6.8.0
-pkgrel=1
+pkgrel=2
pkgdesc="ATI Rage128 video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends="uclibc"
-makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
- videoproto renderproto"
+depends="mesa-dri-r128"
+makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto xineramaproto libdrm-dev xf86driproto glproto
+ mesa-dev expat-dev
+ "
-source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
${CC:-gcc} -dumpspecs | sed 's/%(link_now)//g' > "$srcdir"/gcc-specs
export GCC_SPECS="$srcdir"/gcc-specs
- ./configure --prefix=/usr || return 1
+ ./configure --prefix=/usr \
+ --enable-dri \
+ || return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING